using System;
using System.Collections.Generic;
using System.Text;
using System.Configuration;

namespace FaultTolerantWebService.Common.Configuration
{
    /// <summary>
    /// Class qui reprsente une association (classe, url)
    /// </summary>
    public class ClassUri : ConfigurationElement
    {
        [ConfigurationProperty("uri", IsRequired = true)]
        public string Uri
        {
            get { return (string)this["uri"]; }
            set { this["uri"] = value; }
        }

        [ConfigurationProperty("soapClientClass", IsRequired = true)]
        public string SoapClientClass
        {
            get { return (string)this["soapClientClass"]; }
            set { this["soapClientClass"] = value; }
        }

        [ConfigurationProperty("priority", IsRequired = false, DefaultValue = "0")]
        public int Priority
        {
            get { return (int)this["priority"]; }
            set { this["priority"] = value; }
        }
    }
}
