using System;
using System.Collections.Generic;
using System.Text;
using System.Configuration;

namespace FaultTolerantWebService.Common.Configuration
{
    /// <summary>
    /// Section de configuration pour FaultTolerant
    /// </summary>
    public class ConfigSection : ConfigurationSection
    {
        [ConfigurationProperty("maxRetry", DefaultValue = 3)]
        public int MaxRetry
        {
            get { return (int)this["maxRetry"]; }
        }

        [ConfigurationProperty("retryInterval", DefaultValue = 3000)]
        public int RetryInterval
        {
            get { return (int)this["retryInterval"]; }
        }

        [ConfigurationProperty("alternativeUriList")]
        public ClassUriCollection AlternativeUriList
        {
            get { return (ClassUriCollection)this["alternativeUriList"]; }
        }
    }
}
