using System;
using System.Collections.Generic;
using System.Text;
using System.Reflection;
using FaultTolerantWebService.Generator;
using System.IO;

namespace FaultTolerantWebService.Ui
{
    /// <summary>
    /// Classe qui sera execute dans le domaine temporaire
    /// Elle charge l'assembly dans ce domaine et effectue
    /// le vrai job de generation
    /// </summary>
    public class Worker : MarshalByRefObject
    {
        public string DoWork(string fileLocation, string language)
        {
            Assembly assembly = Assembly.Load(File.ReadAllBytes(fileLocation));
            StringWriter result = new StringWriter();
            Engine engine = new Engine(language);
            engine.GenerateProxy(assembly, result);
            return result.ToString();
        }
    }
}
